#include "psublast/libc.h"
#include "psublast/types.h"
#include "psublast/misc.h"
#include "psublast/args.h"
#include "psublast/seq.h"
#include "psublast/dna.h"
#include "psublast/prot.h"
#include "psublast/discrim.h"

#ifndef __lint
static const char rcsid[] =
"$Id: discrim.c,v 1.8 1999/10/01 18:47:52 schwartz Exp $";
#endif

bool is_DNA(uchar *s, int len)
{
	int ACGT, i;

	for (ACGT = i = 0; i < len; ++i)
		if (strchr("ACGTNXacgtnx", s[i]))
			++ACGT;
	if (10*ACGT < 9*len) {	/* ACGT < 90% of len */
		for (i = 0; i < len; ++i)
		    if (!is_pchar(s[i]))
			fatalf("Illegal character '%c' in sequence file.\n", s[i]);
		return 0;
	}
	for (i = 0; i < len; ++i)
		if (!is_dchar(s[i])) {
			fatalf("Illegal character '%c' in sequence file.\n", s[i]);
			exit(1);
		}
	return 1;
}

